Latest 1.2.0
Homepage https://github.com/Meniny/Eventer
License MIT
Platforms ios 8.0, requires ARC
Frameworks Foundation
Authors




VersionAuthorBuild PassingSwift
PlatformsMIT
CocoapodsCarthageSPM

🏵 Introduction

Eventer is a tiny event post/subscribe library for iOS.

📋 Requirements

  • iOS 8.0+
  • Xcode 9.0+ with Swift 5.0+

📲 Installation

Eventer is available on CocoaPods:

use_frameworks!
pod 'Eventer'

❤️ Contribution

You are welcome to fork and submit pull requests.

🔖 License

Eventer is open-sourced software, licensed under the MIT license.

💫 Usage

Eventer.on(self, name: "EventName") { (notification) in
    // ...
}
Eventer.onMainThread(self, name: "AnotherEventName") { (_) in
    // ...
}
Eventer.post(EventName.didAppear.rawValue, on: .main)
Eventer.unregister(self)

Latest podspec

{
    "name": "Eventer",
    "module_name": "Eventer",
    "version": "1.2.0",
    "summary": "Event bus for iOS.",
    "homepage": "https://github.com/Meniny/Eventer",
    "license": {
        "type": "MIT",
        "file": "LICENSE.md"
    },
    "authors": {
        "Elias Abel": "[email protected]"
    },
    "social_media_url": "https://meniny.cn/",
    "platforms": {
        "ios": "8.0"
    },
    "requires_arc": true,
    "source": {
        "git": "https://github.com/Meniny/Eventer.git",
        "tag": "1.2.0"
    },
    "source_files": "Eventer/**/*.swift",
    "pod_target_xcconfig": {
        "SWIFT_VERSION": "5.0"
    },
    "swift_versions": "5.0",
    "frameworks": "Foundation"
}

Pin It on Pinterest

Share This